Subject: Re: bug#65187: 29.1; right edge of wide image can not be displayed in image-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Aug 2023 09:53:43 +0300

> Cc: [email-masked], [email-masked]
> Date: Fri, 11 Aug 2023 09:15:46 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> But maybe there's some fine dependency on the frame geometry here; I
> will take a closer look.  What bothers me is that the original recipe
> signals an error, so I'm unsure what kind of code the OP ran to see
> the problem to begin with.

OK, I see the behavior described in the OP now.

But I don't understand why is this behavior interpreted as a bug.  If
I type <RIGHT> arrow or C-f enough times, I eventually do see the red
line on the right edge of the rectangle.  So this is just the normal
horizontal scrolling of images plus automatic clipping of images in
action.

I see no bug here.  What am I missing?